<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output media-type="text/html"/>

<xsl:template match="family">
  <html>
  <head>
	<style type="text/css">
		body {
			font-family: Arial, Helvetica, sans-serif;
			font-size:11pt;
		}
		table {
			font-family: Arial, Helvetica, sans-serif;
			font-size:11pt;
		}
		h4 {
			font-family: Lucida Calligraphy, Arial, Helvetica, sans-serif;
			font-size:16pt;
		}
	</style>
	<title><xsl:value-of select="title"/></title>
  </head>
  
  <body>
	<h4>The <xsl:value-of select="title"/> Family</h4>
	<img align="left" src="FamTreeSm.gif" width="144" height="216" />
	<xsl:apply-templates select="*[not(self::title)]" />
	<p><a href="../index.htm">Return to the index page</a></p>
	<pre>XML/XLS version</pre>
  </body>
  </html>
  </xsl:template>
   <xsl:template match="father">
	<p><strong><xsl:value-of select="name"/></strong>
	(<xsl:value-of select="dates"/>)
	-
	<xsl:choose>
	<xsl:when test="ancestry">
		<xsl:element name="a">
			<xsl:attribute name="href">
			<xsl:value-of select="ancestry"/>
			</xsl:attribute>
			ancestry
		</xsl:element>
	</xsl:when>
	<xsl:otherwise>
		See below for information about ancestors.
	</xsl:otherwise>
	</xsl:choose>
	</p>
 </xsl:template>
 	
  <xsl:template match="marriage">
	<p>Married <xsl:value-of select="details"/></p>
 </xsl:template>
 	
 <xsl:template match="mother">
	<p><strong><xsl:value-of select="name"/></strong>
	(<xsl:value-of select="dates"/>)
	-
	<xsl:choose>
	<xsl:when test="ancestry">
		<xsl:element name="a">
			<xsl:attribute name="href">
			<xsl:value-of select="ancestry"/>
			</xsl:attribute>
			ancestry
		</xsl:element>
	</xsl:when>
	<xsl:otherwise>
		See below for information about ancestors.
	</xsl:otherwise>
	</xsl:choose>
	</p>
</xsl:template>

<xsl:template match="children">
	<table border="1" cellpadding="2"><tr>
	<xsl:choose>
	<xsl:when test="number">
	<td><strong><xsl:value-of select="number"/> Children:</strong></td>
	</xsl:when>
	<xsl:otherwise>
	<td><strong>One Child:</strong></td>
	</xsl:otherwise>
	</xsl:choose>
		<xsl:for-each select="child">
			<td>
			<xsl:choose>
			<xsl:when test="site">
				<xsl:element name="a">
					<xsl:attribute name="href">
					<xsl:value-of select="site"/>
					</xsl:attribute>
					<xsl:value-of select="name"/>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="name"/> 
				(<xsl:value-of select="dates"/>)
			</xsl:otherwise>
			</xsl:choose>
			</td>
		</xsl:for-each>
   </tr></table>
   </xsl:template>
	
	<xsl:template match="history">
	<xsl:copy-of select="*" />
	</xsl:template>
	
	<xsl:template match="comment">
	<xsl:copy-of select="*" />
	</xsl:template>

</xsl:stylesheet>
